/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/26 15:51
 * Description:
 */
package com.emr.service.ipml;

import com.emr.dao.Emr_Archive_DetailMapper;
import com.emr.dao.Emr_DictionaryMapper;
import com.emr.entity.Emr_Dictionary;
import com.emr.service.Emr_DictionaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class Emr_DictionaryServiceImpl implements Emr_DictionaryService {

    @Autowired
    private Emr_DictionaryMapper emrDictionaryMapper;
    @Override
    public List<Emr_Dictionary> dicByTypeCode(Emr_Dictionary emrDictionary) {
        return emrDictionaryMapper.dicByTypeCode(emrDictionary);
    }

    @Override
    public List<Emr_Dictionary> dicByClo(Emr_Dictionary emrDictionary) {
        return emrDictionaryMapper.dicByClo(emrDictionary);
    }

    @Override
    public int insertSel(Emr_Dictionary emrDictionary) {
        return emrDictionaryMapper.insertSel(emrDictionary);
    }

    @Override
    public int delById(Integer id) {
        return emrDictionaryMapper.delById(id);
    }

    @Override
    public int updateCloById(Emr_Dictionary emrDictionary) {
        return emrDictionaryMapper.updateCloById(emrDictionary);
    }
}
 

